For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create catch-all

Create a catch-all that routes all messages sent to unknown addresses of the domain to the given mailbox.

Create catch-all

post

Create a catch-all that routes all messages sent to unknown addresses of the domain to the given mailbox. The mailbox address receives a confirmation email and the catch-all becomes active only after it is confirmed. A domain can have only one catch-all.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
mailboxIdstringRequired

Mailbox resource ID

Example: AC1a2b3c4d5e6f7g
Responses
201

Created response

application/json
idstringOptional

Unique catch-all identifier

Example: CA1a2b3c4d5e6f7g
domainstringOptional

Domain whose unrouted messages are caught

Example: example.com
is_activebooleanOptional

Whether the catch-all is active

Example: true
is_confirmedbooleanOptional

Whether the mailbox address has confirmed the catch-all

Example: true
created_atstring · date-timeOptionalExample: 2026-07-27T12:00:00Z
updated_atstring · date-timeOptionalExample: 2026-07-27T12:00:00Z
post/api/mail/v1/mailboxes/{mailboxId}/catchalls
POST /api/mail/v1/mailboxes/{mailboxId}/catchalls HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "CA1a2b3c4d5e6f7g",
  "mailbox": {
    "id": "AC1a2b3c4d5e6f7g",
    "address": "user@example.com"
  },
  "domain": "example.com",
  "is_active": true,
  "is_confirmed": true,
  "created_at": "2026-07-27T12:00:00Z",
  "updated_at": "2026-07-27T12:00:00Z"
}

Last updated

Was this helpful?